Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.intersection
Class Intersections.SphereLocalVariables

    java.lang.Object
      de.grogra.ray.intersection.Intersections.SphereLocalVariables

Enclosing class:
  Intersections

    public static class Intersections.SphereLocalVariables

extends java.lang.Object

This class is used to speed up the sphere intersection calculation. An other advantage of it is to split the whole intersection calculation an only run the second part if necessary.

Field Summary
`float` | `a`
`float` | `b`
`float` | `c`
`Point3f` | `center`
`float` | `D`
`Vector3f` | `dg`
`Vector3f` | `g`
`Point3f` | `invers_point`
`Ray` | `invers_ray`
`float` | `invers_t`
`Vector3f` | `normal`
`Point3f` | `point`
`float` | `t`
`int` | `t_index`
`RTShader.TransparencyInput` | `transparencyInput`
`float` | `u`
`float` | `v`
`float` | `x`
`float` | `z`

Constructor Summary
`Intersections.SphereLocalVariables()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### a

    public float a

### b

    public float b

### c

    public float c

### center

    public Point3f center

### D

    public float D

### dg

    public Vector3f dg

### g

    public Vector3f g

### invers_point

    public Point3f invers_point

### invers_ray

    public Ray invers_ray

### invers_t

    public float invers_t

### normal

    public Vector3f normal

### point

    public Point3f point

### t

    public float t

### t_index

    public int t_index

### transparencyInput

    public final RTShader.TransparencyInput transparencyInput

### u

    public float u

### v

    public float v

### x

    public float x

### z

    public float z

Constructor Detail

### Intersections.SphereLocalVariables

    public Intersections.SphereLocalVariables()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD